## DzlBox

DzlBox

## Functions

GtkWidget * | dzl_box_new ()
GtkWidget * | dzl_box_get_nth_child ()
gint | dzl_box_get_max_width_request ()
void | dzl_box_set_max_width_request ()

## Properties

int | max-width-request | Read / Write

## Types and Values

#define | DZL_TYPE_BOX
struct | DzlBoxClass
| DzlBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── DzlBox

## Implemented Interfaces

DzlBox implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### dzl_box_new ()

    GtkWidget *
    dzl_box_new (void);

### dzl_box_get_nth_child ()

    GtkWidget *
    dzl_box_get_nth_child (DzlBox *self,
                           guint nth);

Gets the nth child of `self` .

#### Parameters

self | a DzlBox |
nth | the index of the child starting from 0 |

#### Returns

A GtkWidget or `NULL`.

[transfer none][nullable]

### dzl_box_get_max_width_request ()

    gint
    dzl_box_get_max_width_request (DzlBox *self);

### dzl_box_set_max_width_request ()

    void
    dzl_box_set_max_width_request (DzlBox *self,
                                   gint max_width_request);

## Types and Values

### DZL_TYPE_BOX

    #define DZL_TYPE_BOX (dzl_box_get_type())

### struct DzlBoxClass

    struct DzlBoxClass {
      GtkBoxClass parent_class;
    };

### DzlBox

    typedef struct _DzlBox DzlBox;

## Property Details

### The `“max-width-request”` property

      “max-width-request”        int

Max Width Request.

Owner: DzlBox

Flags: Read / Write

Allowed values: >= -1

Default value: -1